Bug 56591 - Fails to build with current fileutils
Summary: Fails to build with current fileutils
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-21 14:55 UTC by Enrico Scholz
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-21 14:56:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-11-21 14:55:58 UTC
Description of Problem:

When --rebuilding mozilla, there will be created dangling symlinks in
the buildroot and the %install-stage fails; e.g.

| $ ls -l platformHTMLBindings.xml 
| lrwxrwxrwx    1 ensc     ensc           63 11-21 15:48 platformHTMLBindings.xml -> ../../../../content/xbl/builtin/unix/./platformHTMLBindings.xml


Probably a changed behavior of /bin/cp is responsible. When changing

| $COPY -vrP ${i} ${TARGET_DIR}

to

| $COPY -vrp --parents ${i} ${TARGET_DIR}

in mozilla-copy-package-files.sh (%{SOURCE8}) all things are fine.


Version-Release number of selected component (if applicable):

mozilla-0.9.6-0
fileutils-4.1.1-1

Comment 1 Christopher Blizzard 2002-08-29 21:22:35 UTC
This is fixed in recent builds.


Note You need to log in before you can comment on or make changes to this bug.